Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTextStream.NumberFlag

    java.lang.Object
      java.lang.Enum<QTextStream.NumberFlag>
          com.trolltech.qt.core.QTextStream.NumberFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextStream.NumberFlag>

Enclosing class:
  QTextStream

    public static enum QTextStream.NumberFlag

extends java.lang.Enum<QTextStream.NumberFlag>
implements QtEnumerator

This enum specifies various flags that can be set to affect the output of integers, `float`s, and `double`s.

See Also:
  `setNumberFlags`

Enum Constant Summary
`ForcePoint` Always put the decimal separator in numbers, even if there are no decimals.
`ForceSign` Always put the sign in numbers, even for positive numbers.
`ShowBase` Show the base as a prefix if the base is 16 ("0x"), 8 ("0"), or 2 ("0b").
`UppercaseBase` Use uppercase versions of base prefixes ("0X", "0B").
`UppercaseDigits` Use uppercase letters for expressing digits 10 to 35 instead of lowercase.

Method Summary
`static QTextStream.NumberFlags` | `createQFlags(QTextStream.NumberFlag... values)`
`static QTextStream.NumberFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.NumberFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextStream.NumberFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ShowBase

    public static final QTextStream.NumberFlag ShowBase

  Show the base as a prefix if the base is 16 ("0x"), 8 ("0"), or 2 ("0b").

### ForcePoint

    public static final QTextStream.NumberFlag ForcePoint

  Always put the decimal separator in numbers, even if there are no decimals.

### ForceSign

    public static final QTextStream.NumberFlag ForceSign

  Always put the sign in numbers, even for positive numbers.

### UppercaseBase

    public static final QTextStream.NumberFlag UppercaseBase

  Use uppercase versions of base prefixes ("0X", "0B").

### UppercaseDigits

    public static final QTextStream.NumberFlag UppercaseDigits

  Use uppercase letters for expressing digits 10 to 35 instead of lowercase.

Method Detail

### values

    public static final QTextStream.NumberFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextStream.NumberFlag c : QTextStream.NumberFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextStream.NumberFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextStream.NumberFlags createQFlags(QTextStream.NumberFlag... values)

### resolve

    public static QTextStream.NumberFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD